package com.reactlibrary;

import android.content.Context;
import android.graphics.Color;
import android.view.LayoutInflater;
import android.widget.RelativeLayout;

import androidx.annotation.NonNull;

import com.appodeal.ads.Appodeal;
import com.appodeal.ads.BannerView;
import com.appodeal.ads.Native;
import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.ViewGroupManager;
import com.facebook.react.uimanager.annotations.ReactProp;

public class BannerAdViewManager extends ViewGroupManager<BannerAdWrapper> {

    public static final String REACT_CLASS = "RNBannerAdView";

    @NonNull
    @Override
    public String getName() {
        return REACT_CLASS;
    }

    @NonNull
    @Override
    public BannerAdWrapper createViewInstance(@NonNull ThemedReactContext themedReactContext) {
        return new BannerAdWrapper(themedReactContext);
    }
}
