import React from 'react';
import PropTypes from 'prop-types';
import { requireNativeComponent, View, ViewPropTypes } from 'react-native';

const NativeAdView = requireNativeComponent(
    'RNNativeAdView',
    NativeAdView
);

NativeAdView.propTypes = {
    ...(ViewPropTypes || View.propTypes),
    show: PropTypes.bool
}

NativeAdView.defaultProps = {

}

export default NativeAdView;