import React from 'react';
import { requireNativeComponent } from 'react-native';

const RNBannerAdView = requireNativeComponent('RNBannerAdView', BannerAd, {});

function onNativeEvent({ nativeEvent }) {
    console.log('onNativeEvent')
    const { width, height, type } = nativeEvent;

    if (type !== 'onSizeChanged' && isFunction(props[type])) {
        let eventPayload;
        if (type === 'onAdFailedToLoad') {
            //eventPayload = NativeFirebaseError.fromEvent(nativeEvent, 'admob');
        }
        props[type](eventPayload);
    }

    if (width && height && size !== 'FLUID') {
        //setDimensions([width, height]);
    }
}

class BannerAd extends React.Component {
    render() {
        return (
            <RNBannerAdView
                { ...this.props }
                //size={size}
                //unitId={unitId}
                //onNativeEvent={onNativeEvent}
            />
        )
    }
}
  
export default BannerAd;
