import React from 'react';
import PropTypes from 'prop-types';
import { requireNativeComponent, View, ViewPropTypes } from 'react-native';

const NativeAdViewContentStream = requireNativeComponent(
    'RNNativeAdViewContentStream',
    NativeAdViewContentStream
);

NativeAdViewContentStream.propTypes = {
    ...(ViewPropTypes || View.propTypes),
    isLoaded: PropTypes.bool
}

NativeAdViewContentStream.defaultProps = {

}

export default NativeAdViewContentStream;